http://medialive.{region}.amazonaws.com/prod/inputDevices/{inputDeviceId}/rebootSend a reboot command to the specified input device. The device will begin rebooting within a few seconds of sending the command. When the reboot is complete, the device’s connection status will change to connected.
The unique ID of the input device to reboot. For example, hd-123456789abcdef.
Whether or not to force reboot the input device.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://medialive.{region}.amazonaws.com/prod/inputDevices/{inputDeviceId}/reboot' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://medialive.{region}.amazonaws.com/prod/inputDevices/{inputDeviceId}/rebootSend a reboot command to the specified input device. The device will begin rebooting within a few seconds of sending the command. When the reboot is complete, the device’s connection status will change to connected.
The unique ID of the input device to reboot. For example, hd-123456789abcdef.
Whether or not to force reboot the input device.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://medialive.{region}.amazonaws.com/prod/inputDevices/{inputDeviceId}/reboot' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}